#include <iostream>

using namespace std;

int main()
{
    int n, k;
    cin >> n >> k;
    int a[n];
    for(int i = 0; i < n; i++) cin >> a[i];
    if(k == a[n-1]) cout << a[0];
    else
    {
        for(int i = 0; i < n; i++)
        {
            if(k == a[i])
            {
                cout << a[i+1];
                break;
            }
        }
    }
    return 0;
}